Application Security Groups - Create Or Update

Creates or updates an application security group.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/applicationSecurityGroups/{applicationSecurityGroupName}?api-version=2025-05-01

URI Parameters

Name In Required Type Description
applicationSecurityGroupName
path True

string

The name of the application security group.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
id

string

Resource ID.

location

string

Resource location.

tags

object

Resource tags.

Responses

Name Type Description
200 OK

Common.ApplicationSecurityGroup

Resource 'ApplicationSecurityGroup' update operation succeeded

201 Created

Common.ApplicationSecurityGroup

Resource 'ApplicationSecurityGroup' create operation succeeded

Headers

  • Azure-AsyncOperation: string
  • Retry-After: integer
Other Status Codes

Common.CloudError

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Create application security group

Sample request

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/applicationSecurityGroups/test-asg?api-version=2025-05-01

{
  "location": "westus",
  "properties": {}
}

Sample response

{
  "name": "test-asg",
  "type": "Microsoft.Network/applicationSecurityGroups",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/applicationSecurityGroups/test-asg",
  "location": "westus",
  "properties": {
    "provisioningState": "Succeeded",
    "resourceGuid": "00000000-0000-0000-0000-000000000000"
  }
}
{
  "name": "test-asg",
  "type": "Microsoft.Network/applicationSecurityGroups",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Network/applicationSecurityGroups/test-asg",
  "location": "westus",
  "properties": {
    "provisioningState": "Succeeded",
    "resourceGuid": "00000000-0000-0000-0000-000000000000"
  }
}

Definitions

Name Description
Common.ApplicationSecurityGroup

An application security group in a resource group.

Common.CloudError

An error response from the service.

Common.CloudErrorBody

An error response from the service.

ProvisioningState

The provisioning state of the application security group resource.

Common.ApplicationSecurityGroup

An application security group in a resource group.

Name Type Description
etag

string

A unique read-only string that changes whenever the resource is updated.

id

string

Resource ID.

location

string

Resource location.

name

string

Resource name.

properties.provisioningState

ProvisioningState

The provisioning state of the application security group resource.

properties.resourceGuid

string

The resource GUID property of the application security group resource. It uniquely identifies a resource, even if the user changes its name or migrate the resource across subscriptions or resource groups.

tags

object

Resource tags.

type

string

Resource type.

Common.CloudError

An error response from the service.

Name Type Description
error

Common.CloudErrorBody

Cloud error body.

Common.CloudErrorBody

An error response from the service.

Name Type Description
code

string

An identifier for the error. Codes are invariant and are intended to be consumed programmatically.

details

Common.CloudErrorBody[]

A list of additional details about the error.

message

string

A message describing the error, intended to be suitable for display in a user interface.

target

string

The target of the particular error. For example, the name of the property in error.

ProvisioningState

The provisioning state of the application security group resource.

Value Description
Failed

Failed

Succeeded

Succeeded

Canceled

Canceled

Creating

Creating

Updating

Updating

Deleting

Deleting